Illegal datatype context #26

Closed
dagit opened this Issue Mar 24, 2012 · 1 comment

Projects

None yet

2 participants

@dagit
Haskell OpenGL member

I'm trying to install OpenGL library. (ghc 7.4.1, Ubuntu Lucid)

But installation fails with

[54 of 82] Compiling Graphics.Rendering.OpenGL.GL.Evaluators ( Graphics/Rendering/OpenGL/GL/Evaluators.hs, dist/build/Graphics/Rendering/OpenGL/GL/Evaluators.o )

Graphics/Rendering/OpenGL/GL/Evaluators.hs:169:6:
Illegal datatype context (use -XDatatypeContexts): (ControlPoint c,
Domain d) =>
cabal: Error: some packages failed to install:
OpenGL-2.5.0.0 failed during the building phase. The exception was:
ExitFailure 1

@jakubmal

Please mark as fixed, 2.5.0.1 seems to fix this issue for me.

@dagit dagit closed this Oct 14, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment